#!/bin/bash
# -*- coding: utf-8 -*-

# CGNES - Coarse-Grained Nuclear Envelope Simulator
# Copyright 2021 Pranjal Singh
#
# See the README file in the top-level CGNES directory.
# This software is released under the GNU General Public License.

# -----------------------------------------------------------------------------
# This file (setup.sh) is used to collect and set up files to run simulations
# as per commands.lmp.
#
# Pranjal Singh (orcid.org/0000-0003-3722-2590)
# The Pennsylvania State University
# Contact: pxs392@psu.edu (current); pranjal.officemail@gmail.com (permanent)
# -----------------------------------------------------------------------------

# date         :06/19/2021
# version      :0.8.2
# usage        :./setup.sh
# sh_version   :4.2.46(2)-release

echo "Getting data files ..."
mkdir -p data
cp ../../src/data/init.data data/
cp ../../src/data/init.restart data/

echo "Getting sim files ..."
cp ../../src/sim.lmp .
cp ../../src/sim.qsub .

echo "Getting other files ..."
cp ../../src/run.sh .

echo "Setting up files ..."
sed -i '25,51d' run.sh
sed -i '44,66d' run.sh

echo "Done."

exit 0
