#!/bin/bash
# -*- coding: utf-8 -*-

# CGNES - Coarse-Grained Nuclear Envelope Simulator
# Copyright 2021 Pranjal Singh
#
# See the README file in the top-level CGNES directory.
# This software is released under the GNU General Public License.

# -----------------------------------------------------------------------------
# This file (plt.sh) is used to process data and plot with gnuplot.
#
# Pranjal Singh (orcid.org/0000-0003-3722-2590)
# The Pennsylvania State University
# Contact: pxs392@psu.edu (current); pranjal.officemail@gmail.com (permanent)
# -----------------------------------------------------------------------------

# date         :06/19/2021
# version      :0.8.2
# usage        :./plt.sh
# sh_version   :4.2.46(2)-release

python2 dump2spatial.py '../data/NE.lammpstrj' 'spatial.mat' #>/dev/null
module load anaconda3
python spatial2freq.py 'spatial.mat' 'freq.dat'
gnuplot spectra.gp

exit 0
