#!/bin/bash
# -*- coding: utf-8 -*-

# CGNES - Coarse-Grained Nuclear Envelope Simulator
# Copyright 2021 Pranjal Singh
#
# See the README file in the top-level CGNES directory.
# This software is released under the GNU General Public License.

# -----------------------------------------------------------------------------
# This file (viz.sh) is used to process data for visualization with OVITO.
#
# Pranjal Singh (orcid.org/0000-0003-3722-2590)
# The Pennsylvania State University
# Contact: pxs392@psu.edu (current); pranjal.officemail@gmail.com (permanent)
# -----------------------------------------------------------------------------

# date         :06/19/2021
# version      :0.8.2
# usage        :./viz.sh
# sh_version   :4.2.46(2)-release

# Go to data
cd ../data

# Remove portion that is not handled in ovito-basic-3.3.5
sed -n '/Ellipsoids/q;p' < read_data.data > read_data2.data
sed -n '/Ellipsoids/q;p' < init.data > init2.data

# Return to pwd
cd ../viz

# Launch ovito
# vglrun ovito

exit 0
